#!/bin/bash
set -e

pkg=python-ciso8601
CUR_DIR=`pwd`
pys=`py3versions -s`

if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cd "${AUTOPKGTEST_TMP}"
cp ${CUR_DIR}/tests . -a
cp ${CUR_DIR}/generate_test_timestamps.py .

for py in $pys
do
	$py -m unittest -v
done
